import { Provider } from '@angular/core';
import { ModuleWithProviders } from '@angular/core';
import * as faceapi from 'face-api.js';
export interface NgxFaceApiJsModuleOption {
    modelsUrl: string;
    faceDetectionOptions?: faceapi.FaceDetectionOptions;
}
export declare class NgxFaceApiJsModule {
    static createProvidersFromOptions(options: NgxFaceApiJsModuleOption): Provider[];
    static forRoot(options: NgxFaceApiJsModuleOption): ModuleWithProviders;
}
